Subject: Re: PCC440GX custom board configuration

From: Ralph Siemsen <[email-masked]>
Date: Mon, 04 Jul 2005 14:41:22 -0400

David Grab wrote:

> Now i want to configure Linux to match my custom board. I ported my board
> based on ocotea board configuration files and excluded all the stuff i don´t
> need. My kernel seems to load but get stuck on calibrating delay loop and
> loops between update_proces_times and __delay (at address 0xC0003400) until
> it reboots. Seems like i didn´t match the BogoMips calculation. Actually i
> don´t use the RTC (i comment out all TODC functions). I think this cause the
> problem. So what i have to do to boot without RTC or has someone my RTC
> running with linux?

You are most likely not passing the clock speed from bootloader 
correctly.  You can set it forcibly in the beginning of ocotea.c, or 
else fixup the structure passed between bootloader and kernel so that 
both sides match.  Doing the latter will fix a lot of other troubles 
that you will encounter later on as well.  See also:

http://www.denx.de/twiki/bin/view/DULG/LinuxHangsAfterUncompressingKernel

-R